-- 转正同步结果的数据修复
-- 更新审批状态=暂存/已提交/审批中 转正同步结果 赋值为：未同步
update t_hdm_regbasebill
set fsyncstatus = '-2'
where fauditstatus in ('A', 'B', 'D');

-- 更新 审批通过且转正状态=待转正
update t_hdm_regbasebill
set fsyncstatus = '-2'
where fauditstatus = 'C'
  AND fregstatus = '1010';

-- 更新转正状态为不予转正 (不予转正审批通过 + 任何情况下的工作流审批不通过)
update t_hdm_regbasebill
set fsyncstatus = '-2'
where fregstatus = '1050';

-- 更新 审批不通过且转正状态=待转正 
update t_hdm_regbasebill
set fsyncstatus = '-2'
where fauditstatus = 'E'
  AND fregstatus = '1010';

-- 更新 审批通过且转正状态=转正待生效 
update t_hdm_regbasebill
set fsyncstatus = '-2'
where fauditstatus = 'C'
  AND fregstatus = '1030';